Supported Connectors

The following self-managed connectors are supported by Confluent. They import and export data from some of the most commonly used data systems. All Confluent Platform connectors are available for download from Confluent Hub. After they are installed, you can get started by creating a connector configuration and starting a standalone Kafka Connect process, or by making a REST request to a Kafka Connect cluster.

Important

Confluent Platform version 6.0 and later

The following connectors were bundled natively with Confluent Platform prior to the Confluent Platform 6.0 release. These connectors are now available for download from Confluent Hub.

The following connectors continue to be bundled with Confluent Platform:

If you upgrade to Confluent Platform version 6.0 (or later), you should install the latest Confluent Hub versions of all connectors you are using, with the exception of Replicator and the FileStream (FileSource and FileSink) connectors, which are still packaged with Confluent Platform. The formerly bundled connectors are versioned using 10.x.x to differentiate the unbundled connectors from the older bundled connectors. You can use the following commands with latest to install updated connectors from Confluent Hub:

confluent-hub install confluentinc/kafka-connect-s3:latest
confluent-hub install confluentinc/kafka-connect-hdfs:latest
confluent-hub install confluentinc/kafka-connect-elasticsearch:latest
confluent-hub install confluentinc/kafka-connect-jdbc:latest
confluent-hub install confluentinc/kafka-connect-jms:latest
confluent-hub install confluentinc/kafka-connect-activemq:latest
confluent-hub install confluentinc/kafka-connect-ibmmq:latest

The following connectors are packaged and available natively with Confluent Platform:

These supported connectors must be installed separately via Confluent Hub: